unit Unit15;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TForm15 = class(TForm)
    Label1: TLabel;
    RadioGroup2: TRadioGroup;
    BitBtn1: TBitBtn;
    procedure RadioGroup2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form15: TForm15;

implementation

{$R *.DFM}

uses Unit1,Async32;

var
  HaltUpdates: boolean;

procedure TForm15.RadioGroup2Click(Sender: TObject);
var
  x: word;
begin
  if HaltUpdates then exit;
  x:=RadioGroup2.ItemIndex+1;
  form1.comm1.close;
  form1.comm1.devicename:='COM'+IntToStr(x);
  try
    form1.comm1.open;
    ComPortOpen:=true;
  except
    on ECommError do
    begin
      ShowMessage('The selected port COM'+IntToStr(x)+' is not available,'+
        ' please choose another if possible or free this port if it is in use by another application.');
      ComPortOpen:=false;
    end;
  end;
  CommsPort:=x-1;
end;


procedure TForm15.FormShow(Sender: TObject);
begin
  HaltUpdates:=true;
  RadioGroup2.ItemIndex:=CommsPort;
  HaltUpdates:=false;
end;

end.
